List submitted Bill Pay payments with their business status
curl --request GET \
--url https://b2b-api.dev-riseworks.io/v2/payments/teams/{team_nanoid}/external_entity/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://b2b-api.dev-riseworks.io/v2/payments/teams/{team_nanoid}/external_entity/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api.dev-riseworks.io/v2/payments/teams/{team_nanoid}/external_entity/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"payments": [
{
"payment_nanoid": "<string>",
"invoice_nanoid": "<string>",
"recipient_nanoid": "<string>",
"recipient_email": "<string>",
"recipient_first_name": "<string>",
"recipient_last_name": "<string>",
"amount_cents": 0,
"currency": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "awaiting_contact",
"reason": "awaiting_contact",
"transaction_hash": "<string>",
"transaction_explorer_url": "<string>",
"contact_action": "cancel"
}
],
"cursor": "<string>",
"counts": {
"all": 4503599627370495,
"awaiting_contact": 4503599627370495,
"needs_attention": 4503599627370495,
"processing": 4503599627370495,
"completed": 4503599627370495,
"failed": 4503599627370495,
"canceled": 4503599627370495
}
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Bill Pay
List submitted Bill Pay payments with their business status
GET
/
v2
/
payments
/
teams
/
{team_nanoid}
/
external_entity
/
payments
List submitted Bill Pay payments with their business status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with te-.
Required string length:
15Pattern:
^te-.*Query Parameters
Available options:
awaiting_contact, needs_attention, processing, completed, failed, canceled Required string length:
1 - 250Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required range:
1 <= x <= 100Maximum string length:
250